<template>
  <div>
    <v-select
      v-if="!autocompleteOpt"
      v-model="selectedValues"
      :items="options"
      :item-text="options"
      :placeholder="placeholder"
      persistent-hint
      filled
      :multiple="multipleOpt ? true : false"
      :menu-props="{ offsetY: true }"
    />
    <v-autocomplete
      v-if="autocompleteOpt"
      v-model="selectedValues"
      :items="options"
      :item-text="options"
      :placeholder="placeholder"
      persistent-hint
      filled
      :multiple="multipleOpt ? true : false"
    />
  </div>
</template>
<script>
export default {
  props: {
    options: {
      type: Array,
      required: true,
    },
    autocompleteOpt: {
      type: Boolean,
      required: false,
      default: false,
    },
    multipleOpt: {
      type: Boolean,
      required: false,
      default: false,
    },
    value: {
      type: [Array, String],
      required: false,
      default: () => [],
    },
    placeholder: {
      type: String,
      required: false,
      default: () => "",
    },
  },
  data() {
    return {
      selectedValues: [],
    };
  },
  watch: {
    selectedValues(newVal) {
      this.$emit("input", newVal);
    },
  },
  created() {
    if (this.value.length > 0) this.selectedValues = this.value;
  },
};
</script>
<style lang="scss">
.v-select > .v-input__control > .v-input__slot[role="combobox"] {
  cursor: pointer;
  * {
    cursor: pointer;
  }
}
</style>
